aboutsummarylogtreecommitdiffstats
path: root/provlk
diff options
context:
space:
mode:
Diffstat (limited to 'provlk')
-rw-r--r--provlk21
1 files changed, 21 insertions, 0 deletions
diff --git a/provlk b/provlk
new file mode 100644
index 000000000000..5b1b6d034f98
--- /dev/null
+++ b/provlk
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# This script applies amdgpu-pro Vulkan driver for specific application.
+# For example, running "$ provlk steam" will start steam with AMDGPU PRO driver.
+# You can test the difference (driverName, driverID) with vulkaninfo utility.
+
+provlk() {
+ export AMD_VULKAN_ICD=amdvlk-pro
+ export VK_ICD_FILENAMES=/usr/share/vulkan/icd.d/amd_pro_icd64.json:/usr/share/vulkan/icd.d/amd_pro_icd32.json
+}
+
+
+if [[ $(basename $0) == provlk ]]; then
+ provlk
+else
+ echo "Unknown function"
+ exit 1
+fi
+
+# applied variables, now execute the rest of the command
+"$@"